@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,400;0,500;1,300&display=swap");

:root {
  /* A changer 'main color' */
  --main-color: #e02f6b;
  --blue: #0000ff;
  --blue-dark: #18293c;
  --orange: #ffa500;
  --green-yellow: #cddc39;
  --pink-light: #efa2b4;
  --cyan-light: #aef1ee;
  --white: #fff;
  --white-alpha-40: rgba(255, 255, 255, 0.4);
  --white-alpha-25: rgba(255, 255, 255, 0.25);
  --backdrop-filter-blur: blur(5px);
}

*,
::before,
::after {
  box-sizing: border-box;
}
* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
}

body {
  background: #161623;
}

section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(#f00, #f0f);
  clip-path: circle(30% at right 70%);
}

section::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(#2196f3, #e91e63);
  clip-path: circle(20% at 10% 10%);
}
.card {
  position: relative;
  z-index: 10;
  max-width: 280px;
  margin: auto;
  height: 80px;
  margin-top: 80px;
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
  border-radius: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  backdrop-filter: blur(10px);
}
.card h3 {
  color: #ffffff;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: 500;
  font-size: 18px;
  text-align: center;
  line-height: 1.1em;
}

/* ==========
Custom Scrollbar
========== */

::-webkit-scrollbar {
  /* permet de modifier le style de la barre de défilement associée à un élément. */
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: var(--white);
}

::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
}
.container-form {
  position: relative;
  z-index: 10;
  min-height: 20vh;
  max-width: 500px;
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
}

.card-btn {
  position: relative;
  z-index: 10;
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 15px 35px #00000033;
  backdrop-filter: blur(10px);
  height: 50px;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
  border: none;
  font-family: inherit;
  font-weight: 400;
  font-size: 16px;
  padding: 0 20px;
}
.card-btn:hover {
  background: #2196f3;
  transition: all 0.3s ease;
}

.card-input::placeholder {
  color: #fff;
  opacity: 0.8;
  font-weight: 300;
}
@media screen and (min-width: 576px) {
  select.filter-todo {
    width: 30% !important;
  }
}
select.filter-todo {
  width: 5%;
  position: relative;
  z-index: 10;
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 15px 35px #00000033;
  backdrop-filter: blur(10px);
  height: 50px;
  border-radius: 20px;
  margin-left: 5px;
  border: none;
  font-family: inherit;
  font-weight: 400;
  font-size: 14px;
  color: aliceblue;
}
.card-input {
  width: 70%;
  position: relative;
  z-index: 10;
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
  height: 50px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  border: none;
  font-family: inherit;
  font-weight: 400;
  font-size: 16px;
  padding: 0 20px;
  border: 1px solid transparent;
  transition: border-color 0.3s ease;
  color: aliceblue;
}

.card-input:focus {
  border-color: var(--white-alpha-40);
}

.select {
  display: contents;
  color: #fff;
  cursor: pointer;
}
option {
  color: red;
}

.container-Todo {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 500px;
  margin: auto;
}

@media screen and (min-width: 900px) {
  .container-Todo {
    max-width: 600px !important;
  }
}
.todo-list {
  position: relative;
  z-index: 10px;
  min-width: 100%;
  padding: 10px;
  list-style: none;
}

.todo {
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;

  margin: 0.5rem;
  color: black;
  font-size: 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: all 0.5s ease;
}

.todo li {
  flex: 1;
  color: aliceblue;
}
.trash-btn {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}
.trash-btn,
.complete-btn {
  background: #f01a61;
  color: black;
  border: none;
  padding: 1rem;
  cursor: pointer;
  font-size: 1rem;
}

.complete-btn {
  background: #138ff3;
}

.todo-item {
  padding: 0rem 0.5rem;
}

.fa-trash,
.fa-check {
  pointer-events: none;
}

.completed {
  text-decoration: line-through;
  opacity: 0.5;
}

.fall {
  transform: translateY(8rem) rotateZ(20deg);
  opacity: 0;
}

/* ==========
Custom Scrollbar
========== */

::-webkit-scrollbar {
  /* permet de modifier le style de la barre de défilement associée à un élément. */
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: var(--white);
}

::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
}
/* ==========
Variables
========== */
:root {
  /* A changer 'main color' */
  --main-color: #e02f6b;
  --white: #fff;
}
